Delta Example |
Using Programming Languages other than VBA
Sub Example_Delta() ' This example adds a line in model space and returns the delta of the new line Dim lineObj As AcadLine Dim lineDelta As Variant Dim startPoint(0 To 2) As Double, endPoint(0 To 2) As Double ' Define the start and end points for the line startPoint(0) = 1: startPoint(1) = 1: startPoint(2) = 0 endPoint(0) = 5: endPoint(1) = 5: endPoint(2) = 0 ' Create the line in model space Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint) ThisDrawing.Application.ZoomAll ' Display the delta of the new line lineDelta = lineObj.Delta MsgBox "The delta of the new Line is: " & vbCrLf & _ "DeltaX:" & lineDelta(0) & vbCrLf & _ "DeltaY:" & lineDelta(1) & vbCrLf & _ "DeltaZ:" & lineDelta(2) End Sub
Comments? |